package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.PemeriksaanJaringanCairanTubuh;
import com.jasamedika.medifirst2000.vo.PemeriksaanJaringanCairanTubuhVO;

@Component
public class PemeriksaanJaringanCairanTubuhConverter implements BaseVoConverter<PemeriksaanJaringanCairanTubuhVO, PemeriksaanJaringanCairanTubuh> {


	@Override
	public PemeriksaanJaringanCairanTubuh transferVOToModel(PemeriksaanJaringanCairanTubuhVO vo, PemeriksaanJaringanCairanTubuh model) {
		if (null == model)
			model = new PemeriksaanJaringanCairanTubuh();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, PemeriksaanJaringanCairanTubuh.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return model;
	}

	@Override
	public List<PemeriksaanJaringanCairanTubuhVO> transferListOfModelToListOfVO(List<PemeriksaanJaringanCairanTubuh> models, List<PemeriksaanJaringanCairanTubuhVO> vos) {

		if (null == vos)
			vos = new ArrayList<PemeriksaanJaringanCairanTubuhVO>();

		if (null == models)
			return vos;

		for (PemeriksaanJaringanCairanTubuh pemeriksaanJaringanCairanTubuh : models) {
			PemeriksaanJaringanCairanTubuhVO vo = new PemeriksaanJaringanCairanTubuhVO();
			vo=transferModelToVO(pemeriksaanJaringanCairanTubuh, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public PemeriksaanJaringanCairanTubuhVO transferModelToVO(PemeriksaanJaringanCairanTubuh model, PemeriksaanJaringanCairanTubuhVO vo) {
		if (null == vo)
			vo = new PemeriksaanJaringanCairanTubuhVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PemeriksaanJaringanCairanTubuhVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	}
	
	public PemeriksaanJaringanCairanTubuhVO transferModelToVOCustom(PemeriksaanJaringanCairanTubuh model, PemeriksaanJaringanCairanTubuhVO vo,String[] fieldsToInclude) {
		if (null == vo)

		vo = new PemeriksaanJaringanCairanTubuhVO();

		try {
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PemeriksaanJaringanCairanTubuhVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return vo;
	}
	
	
	
	

}	
